ECHO OFF
rem  PDEMO.BAT ***************************************************************
rem                                              programmed by: IAN JACKSON  
rem  Copyright (C) 1991 Microstar Software                                   
rem **************************************************************************
REM Determine display mode to use
VB
REM Program exit() value indicates how to continue
IF ERRORLEVEL 6 GOTO ERRUNKNOWN
IF ERRORLEVEL 5 GOTO NOSUPPORT
IF ERRORLEVEL 4 GOTO GOODHER
IF ERRORLEVEL 3 GOTO GOODVGA
IF ERRORLEVEL 2 GOTO GOODEGA
IF ERRORLEVEL 1 GOTO GOODCGA
:ERRUNKNOWN
ECHO Problem determining graphics display mode
GOTO DONE
:NOSUPPORT
ECHO System does not support CGA, EGA, VGA or HER mode
GOTO DONE
:GOODCGA
mvdiapp ssexe.exe Pcga640.SCR +sy ssexe.exe /L /W TEST5.pdl > nul
GOTO DONE
:GOODEGA
mvdiapp ssexe.exe Pega640.SCR ssexe.exe /L /W TEST5.pdl > nul
GOTO DONE
:GOODVGA
mvdiapp ssexe.exe Pvga640.SCR ssexe.exe /L /W TEST5.pdl > nul
GOTO DONE
:GOODHER
mvdiapp ssexe.exe Pher720.SCR +sy ssexe.exe /L /W TEST5.pdl > nul
:DONE 